%% Script for importing data from .ms2 files 

files = dir(testDir);
FN = {files.name}'; FN = {FN{3:end}}';

% getting the data
X.id = [];
X.mz = [];
X.fileId = [];
X.data = [];
c = 1;
for k = 1:length(FN) % for each .ms2 file in the specified directory
    fileName = FN{k};
    if strcmp(fileName(end-2:end),'ms2')
        LUT.fn{c,1} = fileName(1:end-4); % populating look-up-table with file names
        Z = readMS2(fileName,testDir); % getting ids, mzs, and spectra for the file
        X.id = [X.id;Z.id]; % raw id
        identifier = num2str(prod(fileName(1:end-4)-0)); 
        identifier = str2double(identifier(1:6)); % unique file identifier
        LUT.fileId(c,1) = identifier; % unique id (since an id may appear in more than one file)
        X.fileId = [X.fileId;identifier*ones(size(Z.id))];
        X.mz = [X.mz;Z.mz]; % mass to charge of the precursor ratio
        X.data = [X.data;Z.data]; % spectrum
        c = c + 1;
    end
end
clear Z;