clear all
% This file is to be used only in the case
% of retraining the random forest model 
% note the provided rf model is in the matlab file RF_model.mat

%% loading data
dataDir = 'training';  % directory with the training data lies
saveName = 'RF_model_retrain'; 
load([dataDir '\25_runs.mat']);

%% params
ntreeVec = 100; % number of trees
mtryVec = 5; % number of splits
extra_options.importance = 0; % (0 = (Default) Don't, 1 = calculate)

%% turning into a binary problem 
X.Y(X.Y < max(X.Y) & X.Y > 0) = 1; % charges of +1,+2,+3,+4,+5 are 'good' spectra
X.Y(X.Y == max(X.Y)) = 2; % by convention, label of 6 indicates 'bad' spectra

%% setting f
Y = X.Y; 
XId = X.id;
X = X.features; 

%% separating out 'intermediate' spectra from training
otherFlag = Y <= 0; % by my convention, labels of -1 or 0 are 'other' spectra
Xother = X(otherFlag,:); X(otherFlag,:) = [];
Yother = Y(otherFlag); Y(otherFlag) = []; 
XotherId = XId(otherFlag); XId(otherFlag) = [];

%% training on just 'good' vs 'bad' spectra
model = classRF_train(X,Y,ntreeVec,mtryVec,extra_options);

%% saving random forest model
save([saveName '.mat'],'model');